#
# spec file for package perl-YAML-LibYAML
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name YAML-LibYAML
Name:           perl-YAML-LibYAML
Version:        0.890.0
Release:        1.1
%define cpan_version 0.89
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Perl YAML Serialization using XS and libyaml
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/T/TI/TINITA/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.9
Provides:       perl(YAML::LibYAML) = %{version}
Provides:       perl(YAML::XS) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
Perl YAML Serialization using XS and libyaml

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTING README
%license LICENSE

%changelog
* Fri Mar  8 2024 Tina Müller <tina.mueller@suse.com>
- Fix disabling of __perllib_provides
* Sat Jan 27 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.89
  see /usr/share/doc/packages/perl-YAML-LibYAML/Changes
  0.89 Sat 27 Jan 2024 01:44:08 AM CET
  - Recognise core booleans on Perl 5.36+ at dump time (PR#114 PEVANS++)
* Sat May 13 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.88
  see /usr/share/doc/packages/perl-YAML-LibYAML/Changes
  0.88 Fri May 12 05:28:05 AM PDT 2023
  - REVERT "Turn off internal POK flag for number scalars"
  0.87 Thu May  4 09:37:26 PM CEST 2023
  - Turn off internal POK flag for number scalars
* Fri Jan 27 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.86
  see /usr/share/doc/packages/perl-YAML-LibYAML/Changes
  0.86 Wed Jan 25 09:34:14 PM EST 2023
  - Fix YAML::XS pod in cpanminus
* Tue Sep 13 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.85
  see /usr/share/doc/packages/perl-YAML-LibYAML/Changes
  0.85 Mon Sep 12 08:20:19 AM EDT 2022
  - Convert doc from Swim to Markdown
  - Remove travis testing
* Sun Sep  4 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.84
  see /usr/share/doc/packages/perl-YAML-LibYAML/Changes
  0.84 Sat 03 Sep 2022 09:20:20 PM CEST
  - Add option ForbidDuplicateKeys (PR#105 tinita)
* Sun May  9 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.83
  see /usr/share/doc/packages/perl-YAML-LibYAML/Changes
  0.83 Sat 08 May 2021 11:51:32 PM CEST
  - Recognize tied variables (PR#101 tinita)
  - Add license file from included libyaml code (PR#102 tinita)
* Sun May  3 2020 Tina Müller <timueller+perl@suse.de>
  updated to 0.82
  see /usr/share/doc/packages/perl-YAML-LibYAML/Changes
  0.82 Sat 02 May 2020 08:39:03 PM CEST
  - Updated libyaml sources to 0.2.4. Changes affecting YAML::XS are
  - Output '...' at the stream end after a block scalar with trailing empty
    lines
  - Accept '%%YAML 1.2' directives (they are ignored and do not change
    behaviour though)
* Tue Jan 28 2020 <timueller+perl@suse.de>
- updated to 0.81
  see /usr/share/doc/packages/perl-YAML-LibYAML/Changes
  0.81 Mon 27 Jan 2020 11:05:46 PM CET
  - Breaking Change: Set $YAML::XS::LoadBlessed default to false to make it
    more secure
* Thu Aug 29 2019 Tina Mueller <tina.mueller@suse.com>
- Remove perl-YAML-LibYAML-no-plan.patch (not used anymore)
* Fri Aug 23 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.80
  see /usr/share/doc/packages/perl-YAML-LibYAML/Changes
  0.80 Thu 22 Aug 2019 01:17:13 PM CEST
  - Fix memory leak when loading invalid YAML (PR#93 tinita)
* Mon Jun 17 2019 Pedro Monreal Gonzalez <pmonrealgonzalez@suse.com>
- update to 0.79
  0.79 Tue 11 Jun 2019 09:35:22 PM CEST
  - Support aliasing scalars resolved as null or booleans (tinita)
  - Add YAML::XS::LibYAML::libyaml_version() (tinita)
  - Support standard !!int/!!float tags instead of dying (tinita)
  0.78 Sat 18 May 2019 06:35:21 PM CEST
  - Fix double free/core dump when Dump()ing binary data, see issue#91 (tinita)
  - Update config.h from libyaml (tinita)
  0.77 Mon 15 Apr 2019 10:55:13 PM CEST
  - Update libyaml to version 0.2.2. Most important change for users is that plain
    urls in flow style can be parsed now. Example: `[ http://yaml.org]`. (tinita)
  0.76 Sun Dec 30 20:10:16 CET 2018
  - Add $Indent - number of spaces when dumping. PR#89 @zdm++
  - Fix typo in docs. PR#87 @mr-mixas++
  - Fix links in docs. @manwar++
  0.75 Sat Nov  3 14:17:28 CET 2018
  - Implement $LoadCode (tinita)
* Fri Sep 14 2018 pmonrealgonzalez@suse.com
- update to 0.74
  * Fix tests on older perls
  * Support back to perl.5.8.1
- Cleaned with spec-cleaner
* Thu Aug 23 2018 jbaier@suse.cz
- update to 0.72
- update download source on metacpan
- upstream changelog:
  * Update to libyaml 0.2.1 (tinita) It's forbidden now to escape single
  * quotes inside double quotes
  * When disabling $LoadBlessed, return scalars not refs (tinita)
  * Save anchors also for blessed scalars (tinita)
  * Fix format specifier/argument mismatch PR#79 @a3f++
  * Travis CI: Test on Perl 5.26 PR#80 @a3f++
  * Fix a C90-compatibility issue PR#81 @stphnlyd++
  * Security fix Add $LoadBlessed option to turn on/off loading objects
  * PR#73 PR#74 TINITA++
  * Fix regex roundtrip (fixes issue#69) PR#70 (TINITA++)
  * Fix loading of many regexes (fixes issue#64) PR#71 (TINITA++)
  * Support standard tags !!str, !!map and !!seq instead of dying. PR#67
  * (TINITA++)
  * Support JSON::PP::Boolean and boolean.pm via $YAML::XS::Boolean. PR#66
  * (TINITA++) Thanks also to Björn Höhrmann for SvPV_nolen()
  * Apply PR#55 (@vti++)
  * Dump() was modifying original data, adding a PV to numbers
  * Added a test for this (TINITA++)
  * Prevent warning about unused variables (see issue#59)
  * Clarify documentation about exported functions
  * use lib FindBin::Bin in tests, preparing for perl 5.26 where '.' gets
  * removed from @INC. Fixes issue#54 TINITA++
  * Use the latest libyaml sources.
  * Lazy load B::Deparse for faster startup time. Applied PR/53 by
  * @perlpunk++ (submitted by @carnil++ from a Debian issue as GitHub
  * issue#52)
  * Apply PR/48 by @perlpunk++
  * Fixes memory leaks
  * Apply PR/42 @perlpunk++ (fix for detecting filehandles)
  * Apply PR/37 @perlpunk++ (includes PR/36 @lameventanas++)
  * Apply PR/33. @andygrundman++. Solaris fixes.
* Mon Mar 23 2015 bjh21@cam.ac.uk
- Added perl-YAML-LibYAML-no-plan.patch, which lets the package build
  on SLES 11.
* Tue Feb 10 2015 vcizek@suse.com
- update to 0.59
- this update fixes 3 vulnerabilities in the embedded LibYAML:
  * CVE-2014-9130: libyaml: assert failure when processing
    wrapped strings (bnc#907809)
  * CVE-2014-2525: libyaml: heap overflow during parsing (bnc#868944)
  * CVE-2013-6393: libyaml: heap based buffer, overflow due to
    integer misuse (bnc#860617)
- dropped CVE-2012-1152-YAML-LibYAML-0.35-format-error.patch (upstream)
- upstream changelog:
  * PR/23 Better scalar dump heuristics
  * More closely match YAML.pm
  * Add a VERSION statement to YAML::LibYAML (issue#8)
  * Applied fix for PR/21. nawglan++
  * Use Swim cpan-tail block functions in doc
  * Get YAML::XS using latest libyaml
  * Fix for
    https://bitbucket.org/xi/libyaml/issue/10/wrapped-strings-cause-assert-failure
  * Fix e1 test failure on 5.21.4
  * Remove =travis section
  * Meta 0.0.2
  * Eliminate spurious trailing whitespace
  * Add t/000-compile-modules.t
  * Fix swim errors
  * Add badges to doc
  * Fix ReadMe
  * Fix Meta and add Contributing.
* Mon Jul 28 2014 coolo@suse.com
- updated to 0.44
  - Doc fix. GitHub-Issue-#6. Thanks to Debian Perl Group for finding this.
  0.43 Sat Jul 12 10:04:07 PDT 2014
  - Test::Base tests needed 'inc' in @INC
  0.42 Fri Jul 11 14:45:58 PDT 2014
  - Switch to Zilla::Dist
  - No longer dep on Test::Base, Spiffy, and Filter::Util::Call
  - Remove test/changes.t
  0.41 Wed Mar 13 10:34:55 PDT 2013
  - Removed another C++ // style comment. jdb++
  0.40 Tue Mar 12 11:05:34 PDT 2013
  - Removed C++ // style comments, for better portability. jdb++
  0.39 Mon Feb 11 18:08:04 PST 2013
  - Using the latest libyaml codebase
  - https://github.com/yaml/libyaml/tree/perl-yaml-xs
  - Changes have been made to start moving libyaml to 1.2
* Wed May 30 2012 coolo@suse.com
- updated to 0.38
  - Apply SPROUT++ deparse test patch. Thanks!
* Wed Apr 25 2012 pascal.bleser@opensuse.org
- CVE-2012-1152: added patch to fix multiple format string flaws:
  A remote attacker could provide a specially-crafted YAML document, which once
  processed by the perl-YAML-LibYAML interface would lead to perl-YAML-LibYAML
  based process crash. bnc#751503
* Sun Oct  2 2011 pascal.bleser@opensuse.org
- update to 0.37:
  * fix the bug that accidentally released YAML-XS instead of YAML-LibYAML
- changes from 0.36:
  * switch to Module::Package
  * fix LoadFile on empty file failure
* Mon Apr  4 2011 coolo@novell.com
- updated to 0.35
  - Apply bdfoy patch from rt-46172
  - Update ppport.h to fix rt-64749 & rt-62054
  - Add ANDK's regexp.t patch from rt-62266
  - These changes from chansen++
  - Handle misbehaved tied hashes
  - Handle 'get' magic
  - Added support for tied arrays and hashes
  - Don't turn on the UTF-8 flag for strings containing US-ASCII (0x00-0x7F)
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Jun 14 2010 pascal.bleser@opensuse.org
- initial package (0.33)
